import React from "react";
import { View, Text, StyleSheet } from "react-native";
import  {Quiz} from "../../models/Quiz";
import {QuizInformations} from "../../models/QuizInformations";
import {RunInformations} from "../../models/RunInformations";

interface Props {
    runInformations?: RunInformations;
    quizInformations?: QuizInformations;
}
export default function AboutAQuiz({runInformations, quizInformations} : Props) {
    return (
        <View style={styles.container}>
            <Text style={styles.title}>About this quiz</Text>
            <View style={styles.separator} />
            <View style={styles.infoContainer}>
                <Text style={styles.text}>Category : {quizInformations ? quizInformations.category.name : "?"}</Text>
                {/*<Text style={styles.text}>Question : {quizInformations ? quizInformations.o : "?"}/{quiz ? quiz.questionCount : "?"}</Text>*/}
                <Text style={styles.text}>Score : {runInformations ? runInformations.score : "?"}</Text>
            </View>

        </View>
    );
}

const styles = StyleSheet.create({
    container: {
        backgroundColor: "white", // Fond blanc
        borderRadius: 10, // Coins arrondis
        padding: 20, // Espacement intérieur
        shadowColor: "#000", // Couleur de l'ombre
        shadowOffset: { width: 0, height: 4 }, // Décalage de l'ombre
        shadowOpacity: 0.25, // Opacité de l'ombre
        shadowRadius: 3.84, // Flou de l'ombre
        elevation: 5, // Ombre pour Android
        marginVertical: 10, // Espacement vertical
    },
    title: {
        fontSize: 18,
        fontWeight: "bold",
        marginBottom: 10, // Espacement entre le titre et le séparateur
    },
    separator: {
        height: 3, // Épaisseur de la ligne
        backgroundColor: "#ddd", // Couleur de la ligne
        marginBottom: 15, // Espacement entre la ligne et le contenu
    },
    text: {
        fontSize: 16,
        fontWeight: "bold",
        marginBottom: 10, // Espacement entre la catégorie et les informations
    },
    infoContainer: {
        flexDirection: "column", // Aligne les éléments horizontalement
        justifyContent: "space-between", // Aligne les éléments verticalement
        gap: 10, // Espacement entre les informations
    },
});
