import {Image, StyleSheet, TouchableOpacity} from "react-native";
import {NavigationProp} from "@react-navigation/native";

interface Props{
    navigation: NavigationProp<any>
    onPress: (bool:boolean) => void
}


export default function GoHomeButton({navigation, onPress}: Props){
    const handleGoHomeButtonPressed = () =>{
        onPress(true);
    }

    return (
        <TouchableOpacity onPress={handleGoHomeButtonPressed}>
            <Image source={require('../../assets/GoHomeNavigation.png')} />
        </TouchableOpacity>
    )
}

