import {View, Text, StyleSheet} from "react-native";

export interface Props {
    title: string;
    value: string;
    isLast?: boolean;
}

export default function LineOfUserStat({title, value, isLast}: Props) {
    return (
        <>
            <View style={styles.container}>
                <Text style={styles.textTitle}>{title} :</Text>
                <Text style={styles.textValue}>{value}</Text>
            </View>
            {!isLast &&<View style={styles.separator} />}
        </>
    );
}

const styles = StyleSheet.create({
    container: {
        display: "flex",
        flexDirection: "row",
        justifyContent: "space-between",
        width: "85%",
    },
    textTitle: {
        fontWeight: "bold",
        fontSize: 20,
        color: "#555",
    },
    textValue: {
        fontStyle: "normal",
        fontWeight: "bold",
        fontSize: 20,
        color: "#00B3F4",
    },
    separator: {
        width: "90%",
        height: 1,
        backgroundColor: "#000",
        marginVertical: 10, // Espacement entre la ligne et les stats
    },
});