import {TouchableOpacity, Text} from "react-native";
import {ButtonsStyles} from "../../styles/ButtonsStyles";
import {TextsStyles} from "../../styles/TextsStyles";

interface Props{
    text: string;
    handleButtonPressed:() => void;
    buttonStyle?: any;
    buttonText?: any;
}

/**
 * DefaultButton : Un bouton par défaut, il possède déjà un style mais on peut le surcharger grâce à la propriété buttonStyle
 * @param text - Texte du bouton
 * @param handleButtonPressed - Fonction qui sera exécutée lorsque le bouton sera pressé
 * @param buttonStyle - Surcharge du style du bouton
 * @param buttonText - Surcharge du style du texte du bouton
 */
export default function DefaultButton({text, handleButtonPressed, buttonStyle, buttonText}: Props){
    return(
    <TouchableOpacity onPress={handleButtonPressed} style={[ButtonsStyles.defaultButton,buttonStyle]}>
        <Text style={[TextsStyles.defaultButtonText, buttonText]}>{text}</Text>
    </TouchableOpacity>
    )
}