import { NavigationProp } from "@react-navigation/native";
import { View, StyleSheet } from "react-native";
import TemplateMenu from "../../../templates/TemplateMenu";
import OnlineQuizChild from "./OnlineQuizChild";

interface Props{
    navigation: NavigationProp<any>
}
export default function OnlineQuiz({navigation}: Props) {
    return (
        <View style={styles.containerGlobal}>
            <TemplateMenu navigation={navigation} headerNavigation={true} buttonGoBack={true}>
                <View>
                    <OnlineQuizChild navigation={navigation}/>
                </View>
            </TemplateMenu>
        </View>
    )
}

const styles = StyleSheet.create({
    containerGlobal: {
        display: 'flex',
        width: '100%',
        height: '100%',
        flexDirection: 'column',
    },
});