import { NavigationProp } from "@react-navigation/native";
import { useState } from "react";
import { OnlineSelectModeType, SelectModeType } from "../../../models/SelectModeType";
import { TouchableWithoutFeedback, View, StyleSheet, Keyboard } from "react-native";
import OnlineSelectMode from "./OnlineSelectMode";
import OnlineCreateLobby from "./OnlineCreateLobby";
import OnlinePlayQuiz from "./OnlinePlayQuiz";

interface Props {
    navigation: NavigationProp<any>
}

export default function OnlineQuizChild({navigation}: Props){
 const [mode, setMode] = useState<OnlineSelectModeType>("create");

    return (
        <TouchableWithoutFeedback onPress={Keyboard.dismiss}>
            <View style={styles.containerGlobal}>
                <View style={styles.contentContainer}>
                    <OnlineSelectMode mode={mode} setMode={setMode}/>
                    {mode === "create" ? (
                        <OnlineCreateLobby navigation={navigation}/>
                    ) : (
                        <OnlinePlayQuiz navigation={navigation}/>
                    )}
                </View>
            </View>
        </TouchableWithoutFeedback>
    )
}
const styles = StyleSheet.create({
    containerGlobal: {
        width: '100%',
        height: '100%',
        alignItems: 'center',
        justifyContent: 'center',
    },
    contentContainer: {
        display: 'flex',
        width: '95%',
        height: '100%',
        flexDirection: 'column',
    },
});