import {NavigationProp, RouteProp} from "@react-navigation/native";
import { View, StyleSheet, Image, Text } from "react-native";
import EndQuizChild from "./EndQuizChild";
import TemplateMenu from "../../../templates/TemplateMenu";
import {Quiz} from "../../../models/Quiz";
import {QuizInformations} from "../../../models/QuizInformations";

type RoutePropsType = {
    EndQuizChild: {
        quizInformations: QuizInformations;
        score: number;
    };
};
interface Props {
    route: RouteProp<RoutePropsType, "EndQuizChild">;
    navigation: NavigationProp<any>;
}

export default function EndQuiz({route,navigation}: Props) {
    const { quizInformations, score } = route.params;
    return (
        <View style={styles.containerGlobal}>
            <TemplateMenu navigation={navigation} headerNavigation={false} buttonGoBack={false}>
                <View>
                    <EndQuizChild navigation={navigation} quizInformations={quizInformations} score={score}/>
                </View>
            </TemplateMenu>
        </View>
    );
}

const styles = StyleSheet.create({
    containerGlobal: {
        display: 'flex',
        width: '100%',
        height: '100%',
        flexDirection: 'column',
    },
});
