import {NavigationProp, RouteProp} from "@react-navigation/native";
import { View, StyleSheet, Image, Text } from "react-native";
import TemplateMenu from "../../../templates/TemplateMenu";
import {Quiz} from "../../../models/Quiz";
import EndQuizMultiChild from "./EndQuizMultiChild";
import {UserEndQuiz} from "../../../models/UserEndQuiz";

type RoutePropsType = {
    EndQuizChild: {
        users: UserEndQuiz[];
        questionCount: number;
    };
};
interface Props {
    route: RouteProp<RoutePropsType, "EndQuizChild">;
    navigation: NavigationProp<any>;
}

export default function EndQuizMulti({route,navigation}: Props) {
    const { users, questionCount } = route.params;
    return (
        <View style={styles.containerGlobal}>
            <TemplateMenu navigation={navigation} headerNavigation={false} buttonGoBack={false}>
                <View>
                    <EndQuizMultiChild navigation={navigation} users={users} questionCount={questionCount} />
                </View>
            </TemplateMenu>
        </View>
    );
}

const styles = StyleSheet.create({
    containerGlobal: {
        display: 'flex',
        width: '100%',
        height: '100%',
        flexDirection: 'column',
    },
});



