import { View, StyleSheet } from "react-native";
import TemplateMenu from "../../templates/TemplateMenu";
import { NavigationProp } from "@react-navigation/native";
import ProfilChild from "./ProfilChild";

interface Props {
    navigation: NavigationProp<any>;
}

export default function Profil({navigation}: Props) {
    return (
        <View style={styles.containerGlobal}>
                <TemplateMenu navigation={navigation} headerNavigation={false} buttonGoBack>
                    <View>
                        <ProfilChild navigation={navigation}/>
                    </View>
                </TemplateMenu>
        </View>
    );
}

const styles = StyleSheet.create({
    containerGlobal: {
        display: 'flex',
        width: '100%',
        height: '100%',
        flexDirection: 'column',
    },
});