import { View, StyleSheet, Image } from "react-native";

interface Props{
    childrenTop?: React.ReactNode
    childrenBot?: React.ReactNode
}

/**
 * TemplateScreen : Ce template gère l'arrière-plan de chaque écran, réutilisé sur l'ensemble des écrans.
 * @param childrenTop - Partie supérieure du template.
 * @param childrenBot - Partie inférieure du template.
 */
export default function TemplateScreen({childrenTop, childrenBot}: Props) {
    return (
        <View style={styles.container}>
            <Image source={require('../assets/FondTemplate.png')} style={styles.image} />
            <View style={styles.containerTop}>
                {childrenTop}
            </View>
            <View style={styles.containerBot}>
                {childrenBot}
            </View>
        </View>
    )
}

const styles = StyleSheet.create({
    container: {
        display: 'flex',
        width: '100%',
        height: '100%',
    },
    containerTop: {
        width: '100%',
        height: '33%',
    },
    containerBot: {
        backgroundColor: '#FFFFFF',
        width: '100%',
        height: '67%',
        borderTopLeftRadius: 46,
        borderTopRightRadius: 46
    },
    image: {
        width: '100%',
        height: '100%',
        position: 'absolute',
    },
});